<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class tab_saksi_c extends CI_Controller {

	function index(){
		$data['enc'] = $this->nativesession->get_flash_session('enc');
		$idperkara = $this->encrypt->decode(base64_decode($data['enc']));
		$data['perkara_id'] = $idperkara;
		$this->load->model('saksi/saksi_m');
		$this->load->model('authorization/hak_akses_m');
		$data['sudahputus']=0;
		if($this->hak_akses_m->getInfoPerkara($idperkara)->num_rows()>0) {
			$data['sudahputus'] = $this->hak_akses_m->getInfoPerkara($idperkara)->first_row()->tanggal_putusan!=''? 1: 0;
		}			
		$data['listdata']=$this->saksi_m->get_data_saksi($idperkara);
		$data['alur_perkara_id']=$this->saksi_m->get_alur_perkara_id($idperkara);
		$this->load->model('pihak/orangtua_wali','ortuwali');
		$data['data_ortu']=$this->ortuwali->getNamaOrtu($idperkara);
		$this->load->vars($data);
		$this->load->view('perkara_tab/tab_saksi_v');

	}
}